Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# AIWorld Class Reference

List of all members.

## Public Member Functions
| AIWorld (NodePath render)
| addAiChar (AICharacter ai_ch)
| addFlock (Flock flock)
| This function adds all the AI characters in the Flock object to the AICharPool.
| addObstacle (NodePath obstacle)
| This function adds the nodepath as an obstacle that is needed by the obstacle avoidance behavior.
| flockOff (unsigned int flock_id)
| This function turns off the flock behavior temporarily.
| flockOn (unsigned int flock_id)
| This function turns on the flock behavior.
Flock | getFlock (unsigned int flock_id)
| This function returns a handle to the Flock whose id is passed.
| printList ()
| removeAiChar (string name)
| removeFlock (unsigned int flock_id)
| This function removes the flock behavior completely.
| removeObstacle (NodePath obstacle)
| This function removes the nodepath from the obstacles list that is needed by the obstacle avoidance behavior.
| update ()
| The AIWorld update function calls the update function of all the AI characters which have been added to the AIWorld.

## Constructor & Destructor Documentation

AIWorld | ( | NodePath | render | ) |

## Member Function Documentation

addAiChar | ( | AICharacter | ai_ch | ) |

addFlock | ( | Flock | flock | ) |

This function adds all the AI characters in the Flock object to the AICharPool.

This function allows adding the AI characetrs as part of a flock.

addObstacle | ( | NodePath | obstacle | ) |

This function adds the nodepath as an obstacle that is needed by the obstacle avoidance behavior.

flockOff | ( | unsigned int | flock_id | ) |

This function turns off the flock behavior temporarily.

Similar to pausing the behavior.

flockOn | ( | unsigned int | flock_id | ) |

This function turns on the flock behavior.

Flock getFlock | ( | unsigned int | flock_id | ) |

This function returns a handle to the Flock whose id is passed.

printList | ( |  | ) |

removeAiChar | ( | string | name | ) |

removeFlock | ( | unsigned int | flock_id | ) |

This function removes the flock behavior completely.

removeObstacle | ( | NodePath | obstacle | ) |

This function removes the nodepath from the obstacles list that is needed by the obstacle avoidance behavior.

update | ( |  | ) |

The AIWorld update function calls the update function of all the AI characters which have been added to the AIWorld.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties